Page MenuHomePhabricator

pywikipedia.org is not responding; pywikibot.org is not registered
Closed, ResolvedPublic

Description

[km@km-tp ~]$ curl pywikipedia.org
curl: (6) Could not resolve host: pywikipedia.org
[km@km-tp ~]$ dig -x pywikipedia.org

; <<>> DiG 9.10.2-P1-RedHat-9.10.2-2.P1.fc22 <<>> -x pywikipedia.org
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NXDOMAIN, id: 63248
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;org.pywikipedia.in-addr.arpa.	IN	PTR

;; AUTHORITY SECTION:
in-addr.arpa.		3600	IN	SOA	b.in-addr-servers.arpa. nstld.iana.org. 2015071505 1800 900 604800 3600

;; Query time: 117 msec
;; SERVER: 4.2.2.1#53(4.2.2.1)
;; WHEN: Sun Jul 19 21:44:10 CDT 2015
;; MSG SIZE  rcvd: 125

Event Timeline

Legoktm created this task.Jul 20 2015, 2:48 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Pywikibot.
Legoktm added subscribers: Legoktm, valhallasw.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 20 2015, 2:48 AM

@siebrand, any ideas? @valhallasw said you/WMNL registered the domain.

valhallasw@maeglin:operations-puppet$ nslookup                                                                                                                                                    production 2
> set type=CNAME
> pywikipedia.org
Server:         8.8.8.8
Address:        8.8.8.8#53

Non-authoritative answer:
pywikipedia.org canonical name = wikimedia-lb.wikimedia.org.

however, wikimedia-lb.wikimedia.org. doesn't resolve anymore!

using www.wikimedia.org as curl target works:

valhallasw@maeglin:operations-puppet$ curl http://www.wikimedia.org/ --header 'Host: www.pywikipedia.org' | head                                                                                  production 0
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   243  100   243    0     0    419      0 --:--:-- --:--:-- --:--:--   420
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>301 Moved Permanently</title>
</head><body>
<h1>Moved Permanently</h1>
<p>The document has moved <a href="http://tools.wmflabs.org/pywikibot/">here</a>.</p>
</body></html>

Was removed with https://github.com/wikimedia/operations-dns/commit/a782e3adcb9cdd046b9709870ad4f49dcc992890

So the cname is wrong; the question is: what should it be replaced with...?

the question is: what should it be replaced with...?

CNAME to wikimedia.org?

Please make a change request without a question mark. Current DNS settings are:

pywikipedia.org CNAME - wikimedia-lb.wikimedia.org 86400
*.pywikipedia.org CNAME - wikimedia-lb.wikimedia.org 86400
www.pywikipedia.org CNAME - wikimedia-lb.wikimedia.org 86400

Alternatively, we can also drop the pywikipedia.org domain, and register pywikibot.org, which is currently unclainmed.

register pywikibot.org, which is currently unclaimed.

I registered the domain in anticipation of a yes to this at least...

jayvdb renamed this task from pywikipedia.org down? to pywikipedia.org is not responding; pywikibot.org is not registered.Aug 10 2015, 10:33 AM
jayvdb triaged this task as Low priority.
jayvdb set Security to None.

register pywikibot.org, which is currently unclaimed.

I registered the domain in anticipation of a yes to this at least...

Thanks Siebrand!
I have no opinion on where these should point to, but I appreciate that they dont point to a spam host.

Please make a change request without a question mark.

After checking with #wikimedia-operations: the correct CNAME is wikimedia.org., so please change it to that :-) Thanks!

pywikipedia.org should work immediately, pywikibot.org would need some server-side configuration on the wmf side.

DNS for pywikipedia.org has been updated to wikimedia.org.. Registration for pywikibot.org has been completed. I'm waiting for the DNS zone to come online, after which I'll configure the zone in the same way as pywikipedia.org's.

@valhallasw, can you please chase the required changes for proper forwarding of pywikibot.org on the WMF side?

pywikibot.org's DNS has been updated to point to wikimedia.org..

Note that in the long run, there's still an issue here with TLS termination. You're in ample company, as we have a boat-load of these sorts of domainnames to deal with ( T101048 ), mostly ones configured on our own DNS servers (that this one isn't hosted in our DNS makes it easy to miss!). The easiest solution would be to phase these out in favor of something like pywikibot.wikimedia.org.

Krenair added a subscriber: Krenair.Oct 5 2015, 4:27 PM

Change 243688 had a related patch set uploaded (by Merlijn van Deen):
sites/redirects: Redirect *.pywikibot.org to tool labs

https://gerrit.wikimedia.org/r/243688

Luke081515 moved this task from Triage to In Progress on the Cloud-Services board.Mar 25 2016, 4:13 PM
Krinkle added a subscriber: Krinkle.EditedNov 23 2016, 3:07 AM

Current state:

I recommend either to redirect to HTTPS on tools.wmflabs.org and use Let's Encrypt for an SSL certificate on the incoming domains.

http://pywikibot.org - "Domain not registered" (fixed by https://gerrit.wikimedia.org/r/243688)

I am seeing

"Domain not configured

This domain points to a Wikimedia Foundation server, but is not configured on this server."

http://pywikibot.org - "Domain not registered" (fixed by https://gerrit.wikimedia.org/r/243688)

I am seeing "Domain not configured

https://gerrit.wikimedia.org/r/243688 has not yet been reviewed/deployed.

Dzahn added a subscriber: Dzahn.Dec 14 2016, 6:41 AM

Change 243688 merged by Dzahn:
sites/redirects: Redirect *.pywikibot.org to tool labs

https://gerrit.wikimedia.org/r/243688

Dzahn closed this task as Resolved.Dec 16 2016, 12:24 AM
Dzahn claimed this task.

@siebrand all done here finally, right?

Restricted Application added a project: Traffic. · View Herald TranscriptDec 16 2016, 12:25 AM